LeechGet - The ultimate download utility

Welcome to LeechGet!

LeechGet was designed as a fast, comfortable and also powerful download manager, providing all capabilities you need to download files from the Internet quicker and simpler than ever.

Simple to use

One of the main aspects while developing LeechGet was simplicity - every function must be integrated in an easy-to-use yet powerful interface. LeechGet uses a Microsoft Outlook-like user interface with which many users should already be familiar: a navigation bar on the left and a concise menu provide access to important functions of the program while Wizards are used to perform more complex tasks. Modern styled controls enhance the Look&Feel of the application. In addition, LeechGet seamlessly integrates in the Windows 9x/2000/XP environment and the Internet Explorer, allowing you to easily start and manage your downloads.

And yet powerful

LeechGet provides many functions such a automatic downloading, download timer, automatic hang-up and shutdown to perform unattended downloads or uploads. A Webparser lets you download complete website with all images and scripts in no time and a history list gives you quick access to downloaded files.

Free for private use

You may use LeechGet free of charge for private use only (LeechGet Personal Edition). However, the Personal Edition comes without support and updates and you can only download eight files simultaneously. For commercial use or just to unlock the restrictions mentioned above, you have to acquire a Premium license for only 17 Euros.

Click here to get more information about how to register your copy of LeechGet!

Please take your time to get familiar with the LeechGet Use Interface and its features.

Click here to see some screenshots of LeechGet in action under Windows XP.


LeechGet Features

Some of the LeechGet features:

The "New Download Wizard" provides a fast and comfortable way to add new downloads
LeechGet includes a Clipboard Monitor
Supports "catching" URLs from Internet Explorer
Menu extensions for Internet Explorer included
A Webparser lets you download entire webpages
Import/Export functions make your downloads mobile
Download process is indicated by tray icons next to the system clock
Automatic downloading (AutoLeech)
Automatic Hang-Up and Shutdown supported, so you can perform unattended downloads

LeechGet is a full featured Internet dialer, you can use it to automatically connect to the Internet (is activated in the Options Dialog)
Integrated update utility to keep LeechGet up-to-date
A Drop Place supports drag&dropping links

Clever Download Folder Management System
Multi-language support
Opera/Mozilla and Netscape support possible through a Plug-In possible
Possibility to set speed limits so that you always have enough bandwidth left to continue browsing the web or download other files

Plus many many more...


LeechGet Main Menu and Toolbar

 The LeechGet Main Menu is the key to fully benefiting from its broad capabilities. The items under each menu and explanations for each are given below.
Please click on a menu or button about which you want to get information.

[LeechGet Main Menu]

[LeechGet Toolbar]

The File Menu

New Download
Click on this button to start a new download. LeechGet provides a plenty of possibilities about how to start a new download:

Start Wizard
The easiest and most comfortable way is to use the New Download Wizard. This Wizard helps you to seek the Internet for faster servers for your downloads, to retrieve information about the server the file is located on and to adjust the number of tasks used for the download.
From Clipboard
This option provides a fast way to add new downloads. Simply copy an URL or even a list of URLs to the Clipboard and paste it using this option. Then, LeechGet uses default settings to adjust the number of tasks and the local path of the download(s).
Clipboard Monitor
The Clipboard Monitor watches for URLs in the Windows clipboard. It's basically the same as the option above, it just adds URLs from the Clipboard automatically.
Catch IExplorer Clicks
Activate this option to catch all links click on in the Internet Explorer.
Please note that this feature is only available if you have Internet Explorer 6 or higher installed!

Parse Website
You can use this tool to extract links and images from a web site. This allows you to easily download a bunch of files located on a website.

Import
The import feature allows you to import unfinished download lists (see "Export").

Export
Use this option to transport unfinished downloads from one computer to another, e.g from work to your home computer.
Simply select all downloads you wish to export and click on this button. LeechGet will then create a text file (*.lgl) in which all information like number of tasks, progress and other status information about the selected download(s) is stored. Copy this text file and the files of all unfinished downloads onto a disk (or any other media...) and use the "Import" feature to continue these downloads on another computer (provided LeechGet is installed).
Close Console
Hides the LeechGet Console, but doesn't shut the entire program down. To show again, simply double-click the LeechGet Icon in the Task Tray area next to your System Clock.

Exit
Terminates all active and pending downloads, saves to download queue and shuts LeechGet down.

The 'Edit' Menu

Cut
Copies the URLs of all select downloads to the clipboard and delete them afterwards.
Copy
Copies the URLs of all select downloads to the clipboard.
Paste
Pastes a URL that you've copied to the clipboard to create a new download.

Delete
Deletes all selected downloads.
Select all
Selects every download in the queue.

Deselect all
Deselects every download in the queue.

Invert Selection
Change the selected items to unselected, and the unselected items to selected.

Select all in progress
Selects all download that are currently downloading.

The 'Download' Menu (similar to the download context menu)

Start
Starts all selected downloads.
Pause
Pauses selected downloads. Only available if the selected downloads support restarting.
Stop
This will stop all selected downloads. This button is only enabled if the selected downloads don't support restarting. Once the downloads are interrupted, you have to redownload the whole file from the beginning!!!

Close
Hides the download window.
Delete
This deletes all selected downloads from the download queue! If you delete an unfinished job, LeechGet asks you whether you want to delete the file on your hard disk as well or not.
Show Task Icon
Check this button to show a little icon which indicates the download status in the Task Tray area next to the system clock.
Pause All
Stops ALL downloads in the queue (not only the selected ones)
Resume All
Starts/Resumes ALL downloads in the queue (not only the selected ones)
Change URL
Changes the URL of a selected download. Only available if download is paused.
Change Local Filename
Changes the local filename of a download. Only available if download is paused.
Change Comment
Adjust a download's comment shown in the download list.
Priority
The Priority flag is important when doing automatic downloading. You can choose between "Very High", "High", "Normal", "Low" and "Do not download".
Use this flags to give special high priority to important downloads which should be downloaded first or low priority to uncritical downloads.
Default priority is normal.

The 'Extras' Menu

Sleep
Sets LeechGet into "Sleep" mode. This mode means that new downloads are only added to the queue but are not started automatically. Use this mode if you first want to add a bunch of downloads and then, when all downloads are added to the list queue, start them (using Auto Leech). When you select the Sleep button, AutoLeech will be turned off.

Hang up when done
This toggle button shows whether LeechGet will disconnect from the Internet when files have been finished downloading. If LeechGet is in Auto Leech mode, it will disconnect when ALL files have been finished. If LeechGet is not in Auto Leech mode, it will disconnect when all the files in progress have been completed.
Shut Down when done
If this button is pressed, LeechGet will turn off your computer when all jobs have finished downloading. If LeechGet is in Auto Leech mode, it will turn off your computer when ALL files have finished. If LeechGet is not in Auto Leech mode, it will turn off your computer when all the files in progress have been completed.

Download Timer
This feature allows you to set a download timer. Simply enter a time and date by that LeechGet will turn into AutoLeech mode and download the entire pending queue.
Dial-Up Connection
You can use LeechGet as an Internet dialer to establish Internet connections. Please look at "Options Dialog" to get information on how to configure this feature.

Please note: When you have a connection configured and want LeechGet to establish a connection, then simply click on the LeechGet Tray Icon or Drop Place Icon using the middle button of you mouse to dial and click again to disconnect (besides, you can as well use the menu).

Clipboard Monitor
-> see above
Check for Update
To keep your copy of LeechGet up to date, LeechGet provides an Evolution Wizard that automatically checks for updates and, if necessary, downloads and installs new components. You can configure this Wizard using the Options Dialog. Use this menu entry to start the Evolution Wizard manually. Only available for LeechGet Premium users.
Options
Starts the LeechGet Options Dialog.
Use can either start this Dialog using the Windows Control Panel, the Windows startmenu or this menu entry.
Download Profiles
Lets you select download profiles to set the maximum number of active downloads and the maximum bandwidth used! Click here to get more information on this.

The 'View' Menu

Download
Click here to switch to the download queue.
Files
Switches to the History list in which all downloaded files are listed.
LeechGet-Bar
Check to show the LeechGet Navigation Bar on the left.
Download-Details
Check to show the download protocol.
Show/Hide selected
Hides opened download windows.
Show New Downloads
If this option is selected, LeechGet automatically opens the download window when a new download is added.
Show Toolbar
Check to show the LeechGet Toolbar. The Toolbar provides shortcuts to important menu command, so it's a good idea to use it.
Show Quick-Link Bar
Check to show the Quick-Link Bar.
Show Drop Place
Hides/Shows the Drop Place. You can use the Drop Place to start new downloads via Drop&Drop from Internet Explorer, Netscape or any other Windows 9x/2000/XP application.
Show SpeedMeter
Shows the LeechGet Speed Monitor

The 'About' Menu

Help
Opens this Help.
LeechGet Homepage
Click here to visit the LeechGet Homepage to check for updates and news.

Register LeechGet Premium
 Click here to register LeechGet or to get information on how to register LeechGet. Please have a look ar http://register.leechget.net as well to see how to get your copy of LeechGet Premium.

About
Shows the LeechGet version, build and user information (if available).


Installing and Updating LeechGet

Installing LeechGet

Download the LeechGet installation package if you haven't already. On Windows NT and Windows 2000 systems, login with Administrator privileges. If possible, close all instances of the Internet Explorer. Run LeechGet.exe and follow the instructions. You may want to keep the installation package in case you need to reinstall LeechGet later.

To start LeechGet, press the system-wide Hotkey CTRL+ALT+L

LeechGet should automatically adapt to your local language (if a suitable Language Pack is available). If not, have a look at the Options Dialog, tab "Additional" and select your language or check http://www.leechget.net for new Language Packs!.

Updating LeechGet

LeechGet comes with an automatic update utility. You can start this utility by clicking on 'Extras|Check for Updates' in the main menu. If not configured otherwise, the LeechGet Update Wizard automatically seeks for updates at LeechGet startup.
You can as well check out the LeechGet Homepage for updates and additional information about LeechGet and new releases.

Add-Ons

If you like to use LeechGet in combination with the Opera, Mozilla or Netscape Browser, you can download a Plug-In for this browser from the LeechGet website. This Plug-In allows you to transfer Downloads directly from your browser to LeechGet so that LeechGet automatically catches all incoming transfers.
Visit http://www.leechget.net to learn more about this plug-in and to get information about how to install and use it.


How to start a new download

There are several ways to start a new download.

  1. The first and most comfortable one is the New Download Wizard. In order to open this Wizard, simply click on the New Download Button in the menu or on the toolbar. Then, type in the URL of the download and proceed to the next steps. This method also provides the possibility to seek for alternate download locations and to test the server. The system-wide hotkey for the Download Wizard is CTRL+Q by default, but you can change it in the options dialog.

  2. The second way is to paste URL(s) from clipboard. Just click "Paste" in the "Edit" menu to do so. The big advantage is that you can paste whole lists of URLs and not only a single download.

  3. LeechGet supports Drag&Drop so you can easily drop links from Internet Explorer or any other Browser into the LeechGet Console or the Drop Place in order to start a download.

  4. Another smart way is to use the LeechGet Internet Explorer Extensions (requires Internet Explorer 4.x/5.x). In order to add a Download, just press the right mouse button over a hyperlink and select "Download using LeechGet" or "Download using LeechGet Wizard". The first option will add the download without asking for further information like filename and so on, the last one will start the Download Wizard.

  5. You can as well activate the option "Catch IExplorer Clicks" to grab links from Internet Explorer automatically (requires Internet Explorer 6.x or later). Simply click on 'Catch IExplorer Clicks' in the 'File' menu activate this feature. Whenever you want to start a download now, just click on the URL of a file in the Internet Explorer and LeechGet automatically pops up the New Download Wizard.
  6. If you are using Opera, Netscape or Mozilla, go to http://download.leechget.net and download a Plug-In that allows LeechGet to catch links from these Browsers and to transfer them directly to the program.


The Download Window

You can open a download window by double-clicking on any entry in the download queue. Every download has its own download window, it provides a lot of information about the selected download such as remaining time, download status and some further switches in the "Options" menu.

Here is a typical download window:

Hide Download
Close the download window again. Has the same effect as a click on the "Close" button on the form.

View
You can chose between normal and compact view. Normal view is shown in the screenshot above. Use the small view if you have a lot of open download windows.
Show Tray Icon
Select this option to show a Tray Icon that indicates the download status next to the system clock in the task tray area.
Speed Limit
Via this menu, you can set a Speed Limit for the download. This allows you to control how much bandwidth this download may use. Please note that this menu entry is not available when you have a no Download Profile activated.
Open when finished
Mark this entry and LeechGet will open the download once it has been completed. If you have activated this option via the Options dialog, this menu entry is selected by default.

Notify when completed
This feature comes in handy when you have a network and download files on another computer that you are currently working on. Click on this menu entry and type in the IP address or name of any computer within your network that shall be informed when the download is done. Please note that this option is only available on Windows 2000 and XP computers.

Delete Download
Clicking this entry deletes the download and the remaining file on your local disk without any further warning or dialog! So please be careful with this option!


Using the LeechGet Browser Interface

Internet Explorer 6.x or higher

LeechGet comes with a build-in interface for the Internet Explorer. You can use it to "catch" clicks on links in the Internet Explorer and have them transferred to LeechGet. To activate it, simply select the option "Catch links from Internet Explorer" in the "General" tab of the Options Dialog. You can as well use the menu "New Download" and then "Catch IExplorer Clicks" in the file menu to toggle the plug-in state.
Please note that this interface only works with Internet Explorer Version 6.0 and above, any other version doesn't work!

To prevent LeechGet from catching links even though the interface is activated, simply hold the CTRL-key when clicking on a link. This hotkey will not work on Windows 98!

You can configure which type of files are caught in the Option Dialog, tab "General".

Other Browsers (Netscape, Opera and Mozilla)

In order to get support for these browsers, go to http://www.leechget.net and download the newest Netscape/Opera/Mozilla Plug-In (in fact, it's the same plug-in for all three browsers). There, you will as well find detailed information about how to use and install the Plug-In.


LAN Downloads

LeechGet comes with a new feature that is be especially useful for people that regularly transfer files over a LAN network. Most people utilize the Windows Explorer to copy files across a network, but since this method neither provides the ability to stop and resume transfers nor a speed control, it's a quite inconvenient way to copy files.

LeechGet provides a much smarter approach: You can use LeechGet to copy files across your network just like "normal" downloads. This means that you can stop and resume your transfers or apply a speed limit and handle them just like all other downloads from the Internet.
There are many ways to start a new LAN transfer, LeechGet even provides a Windows Explorer Shell Extension to make LAN transfers over LeechGet as easy and reliable as possible.

Please note: Of course, you can as well use LeechGet to copy files from one local folder to another local folder, although features like speed control and so on might not be that useful for local file transfers.

How to start a LAN transfer

Via Drag&Drop

The fastest way to start a new LAN transfer is to use the Windows Explorer and drag the files and directories you want to copy to the destination directory while pressing the right mouse button. Windows then pops up a menu where you should find a new entry: "Copy here using LeechGet".
Select this entry and the new "download" will be automatically added to the LeechGet download queue. You can handle LAN transfers exactly the same way as normal downloads (see below).

Note: This option is only available if you have turned the LeechGet Explorer Shell Extensions on.

[LeechGet Drag&Drop Interface]

Via the Context Menu

You can as well select one or more files/directories and open the context menu with a right mouse click. Select the entry "Copy using LeechGet". LeechGet opens a dialog that allows you to select where to store the file(s). Click on "Done" to start the "download".

Note: This option is only available if you have turned the LeechGet Explorer Shell Extensions on.

[LeechGet Context Menu Interface]

Via the Next Download Wizard

If the LeechGet Explorer Shell Extensions are disabled on your system for any reason, you can still use the New Download Wizard to start LAN transfers. Although being much more inconvenient than the LeechGet Explorer Shell Extension, this Wizard provides an easy way to start a LAN download. Just enter a file or directory name in the field labeled "URL" and click on "Next" to select a destination directory. Finally click on "Done" to start the transfer.

Note: It is strongly recommended that you use the Explorer Shell Extensions to start a LAN transfer since it's a much fast and easier way.


LeechGet Options Dialog

The Options Dialog helps you to adjust and configure LeechGet to your wishes.

You can reach the Options Dialog as follows:

Click on Start|Programs|LeechGet 2004|LeechGet 2004 Options in the startmenu.

Click on 'Options' in the menu 'Extras' or in the popup menu of the Drop Place or the tray icon.

Browse to the LeechGet 2004 folder on your local disk (normally "C:\Program files\LeechGet 2004") and start the executable "LGOptions.exe"


General

Launch LeechGet at Windows startjup
Starts LeechGet automatically at Windows startup.

Start LeechGet minimized
After startup, LeechGet will only appear as tray icon next to the system clock.

Add .LeechGet to unfinished download files
Select this option to add the file-extension ".LeechGet" to unfinished downloads. When a download is finished, LeechGet removes the ".LeechGet". This allows you to differ between finished and unfinished download in the Windows Explorer.

Check for Updates when LeechGet starts
If this option is activated, LeechGet will automatically connect to www.leechget.net and check for updates. Please note that no data except your current LeechGet version is transmitted to the server. By default, this option is activated. This option is only available for LeechGet Premium users!

Use Hotkey for the New Download Wizard
Assigns a Hotkey to the LeechGet New Download Wizard. Once this option is activated, you can easily access LeechGet via this system-wide Hotkey and add new downloads to the queue. The default Hotkey is CTRL+Q, but you can change it to whatever you want.

Auto save download queue
To minimize the loss of data due to any unexpected crashes, LeechGet saves the download queue in periodic intervals. If crashes occur, you'll only lose the unsaved data. Select the option "Auto save download queue" to enable this feature.

Ask before overwriting already downloaded files
Select this option and LeechGet checks before downloading a file if it has already been downloaded before and still exists on your local harddrive. If so, LeechGet will pop up a dialog and ask you whether to re-download the file again and overwrite the local copy or to cancel the download. This prevents that you accidentally download files twice or overwrite already transferred files.

Entries to keep in History List
Here you can adjust how many files are kept in the downloaded files history list. Default is 40.

Default number of Tasks
As you already know, LeechGet splits downloads into smaller parts (called Tasks) to speed up the transfer. You can normally select how many Tasks to use for each download with the New Download Wizard.
However, if you add a download in Silent Mode (also have a look at Additional to find out what "Silent Mode" means), you cannot choose in how many Tasks the download shall be partitioned since no dialog will show up. So here you can set a default number of Tasks that will be applied in case that LeechGet is in Silent Mode when a new downloads is being added.


Proxy Server

LeechGet supports HTTP and FTP Proxies as well as Socks 4, 4a and 5 Server.
Use the direct connection whenever possible unless your ISP requires that you use the proxy.
Click on the 'Add' button to create a new entry or on 'Edit' to modify one.

LeechGet automatically seeks for an dial-up connection on your local computer, so even if you have set up a Proxy Server and establish a dial-up connection to the Internet, LeechGet will always use the direct connection and avoid using the Proxy Server. Unselect the option "Auto-detect connection" to force LeechGet to use the Proxy Server at all times, even if a dial-up connection is detected.

[New Proxy Dialog]

Name
Enter a name for the proxy server here.

Address
The IP Address of your proxy server. You can as well enter the normal server address.

Server Type
Select which type of server you are configuring. Select either HTTP Proxy, FTP Proxy or Socks Server.

Socks 4, 4a and 5
This is the preferred way to traverse firewalls. Once you establish a connection, your commands go to the site unchanged, so you will never have to worry about restart support when using this type of proxy.

No Cache
Some proxy servers store browsed data in its cache. When someone requests access to that data later, the proxy server will retrieve the data straight from the quicker cache instead of getting it from its original location. Checking this option tells LeechGet to request that the server not use cache.

Passive
Use passive connection for ftp proxies.

Use HTTP Proxy for FTP Addresses (eHTTP)
This option is very interesting if you want to establish FTP connections over a proxy but you actually don't have a real FTP proxy running. LeechGet can then use normal HTTP proxies to route FTP connections. Unfortunately, this feature doesn't work with all types of proxies, so you just have to try whether it works with your proxy or not.

Authorization
If your proxy server requires authentication, enter username and password here.


Connections

LeechGet provides the possibility to configure an internet connection that can automatically be established if needed. You can also use LeechGet as a comfortable internet dialer. Once you've configured your internet connection, you can connect to the internet with one simple click: Just press down the middle mouse button over the LeechGet Drop Zone or over the LeechGet Task Tray icon to establish a connection, and click again to disconnect. Besides, you can use the menu entries 'Connect to Internet' and 'Disconnect' in the main menu or corresponding toolbar buttons.
This is how to configure your Internet connection in LeechGet:

Connection mode

If 'Establish an internet connection if needed' is selected, LeechGet will automatically establish an internet connection if necessary and as well disconnect after all downloads are done. You can as well use LeechGet as normal internet dialer (see above) if this option is activated.
To setup your connection, use the fields below.

Please note: LeechGet encrypts your internet password using a 128 Bit algorithm what should store it quite safely.

Select 'Do not connect automatically to the internet' to prevent LeechGet from establishing or even disconnecting any internet connection.


When Done

Close download window when finished
If this option is select, LeechGet automatically removes finished download from the download queue and closes possibly opened download windows.

Start received files with Windows associated applications
Select this option and LeechGet launches finished downloads automatically (using the Windows default assignment).

Send the following file types to the Virus Scanner after downloading
Leave this option selected if you want to check your downloaded files for viruses.
The field below contains the filename and path of a program that is supposed to be started when LeechGet has completed a file. The local path and filename of the file LeechGet has downloaded is appended to this program when it is started. Most probably, this program is a virus scanner, but can actually be any program you want (such as a ZIP archiver). Click the "Browse" button to select the program manually or click "Find" to let LeechGet seek for your virus scanner automatically. You can as well type in the filename and path.

You can as well use %FILE% to embed the path to the file anywhere in the command for the virus scanner, for example:
"C:\Program Files\myProgram\myProgram.exe" -file="%FILE%"

File types sent to the Virus Scanner when finished downloading can be adjusted in the memo field. This is a list of file types that need to be checked for viruses. Make sure you use the format .XXX. Not all files really need to be scanned (such as images or sounds) but if you put a *.* in this box, every file will be scanned.

Do not open files if LeechGet is set to Shutdown
Prevents LeechGet from opening files when set to automatic Shutdown.


Timeouts

Connection limits
Maximum number of simultaneously active downloads when LeechGet is switched to automatic downloading (AutoLeech). Set a number between 1 and 40.

Retry
When a download aborts due to an connection error, LeechGet automatically restarts the download. You can set a timeout between connection reties and adjust how often LeechGet attempts to continue the download.

Timeout
A timeout occurs when a server terminates the connection or is unreachable.

Stop and resume if no data received
When a download receives no data for the adjusted number of seconds, LeechGet restarts the download.

Hang-Up and Shutdown delay
Here you can set a delay before LeechGet performs a Shutdown or disconnects from the Internet.


Protocols

User agent
LeechGet sends a "User Agent" flag in every http request. This flag allows a web server to determine what type of browser (Internet Explorer, Netscape, ...) a visitor uses. In fact, this flag is rather optional.

Send refer in HTTP Request
Select this option to send a "refer" string in http requests. A refer string is needed by many web pages, so it's a very good idea to activate this option.

Allow cookies
LeechGet can extract cookies from Internet Explorer. Select this option to send Internet Explorer cookies (if available) in http requests.

Anonymous e-Mail Address
Enter an e-mail address that LeechGet uses as password when connecting to a FTP server. It's not necessary that you enter your real e-mail address, a fake one will do it as well (like hi@nowhere.org).

Use passive mode
Some FTP server require passive data connections to download files. If you are unsure about this option, deactivate it (by default deactivated). LeechGet automatically switches to passive mode connection when active connections fail (even if the "Use passive mode" option is not activated).


Appearance

Show download windows after adding
Activate this option to pop up the download window immediately after a download has been added.

Always on top
Select this option to set all download windows always on top.

Use Windows XP Style Menus and Toolbars
Select this option if you want LeechGet to have a modern XP style. Please be aware that, on slower systems, this might slow down LeechGet a little bit.

Transparency
LeechGet supports transparency effect under Windows 2000 and Windows XP. Select this option to make all download windows or the Drop Place semi-transparent. You can as well adjust the transparency level. Only available if you're running Windows 2000 or Windows XP.

Use Tray Icons
Shows tray icons next to the system clock that indicate the download status. You can adjust how many icons shall be shown in the task tray area below this box.

Use Tray Ballons
Shows ballons in Windows Me/2000/XP to indicate the download status. Tray Ballons are little hints that come up next to the download's tray icon when you start the download, when errors occur or when the download has been finished.

Show only active downloads as tray icon
Select this option and LeechGet will only show downloads in the tray area that are currently transferring data.

Number of Tray Icons
Select how many Tray Icons LeechGet is supposed to show in the Task Tray area.


Additional

Silent Mode

Normally, when you attempt to add a new download, LeechGet pops up the New Download Wizard and asks for information like local path, number of tasks and so on. If you don't want this Wizard to show up every time you add a download, you can switch LeechGet into "silent" mode. This means that LeechGet uses default values to setup the downloads. Please note that you can still open the New Download Wizard manually by choosing "Start Wizard" in the main menu.

Quick Mode

If you don't want to use the New Download Wizard when dropping links from Internet Explorer and you feel that the "Silent Mode" is a little bit too silent for you, simply activate the "Quick Mode". This will cause LeechGet to use a little "Save as..." Dialog instead of the whole New Download Wizard. This Dialog is basically a windows-standard "Save as.." Dialog, bu in addition, it provides a few options like the number of Tasks to use and whether LeechGet should show the new download window or not.
That way, you can add downloads pretty fast and still configure them the way you want...

Language

LeechGet provides the ability to load foreign languages so that the user can operate LeechGet in his native language. Just select your language in the list and click on 'Done'. LeechGet changes the language immediately after applying.
If your language is not listed, have a look at http://www.leechget.net to check whether a Language-Pack for you is available.
If not, you can consider to translate LeechGet yourself:
Just take the "English.lng" file in the LeechGet directory, rename it to your language name (the English name!) and translate all strings in this file. If you're done translating and want to share it with your fellows, just post it in the forum and I'll be grateful to publish it on the LeechGet Website. Thanks a lot...


HTTP Login

Some HTTP servers might not allow anonymous connections but require a username and password.
If you want to download files from a secured server and you have a suitable account, you can setup LeechGet to automatically use the appropriate login-data for each server. Just enter the server, your username and your password and click on "Add". You can as well enter a server followed by a specific directory like "www.myserver.com/secured" if your server (www.myserver.com) provides a password-secured directory called "secured". All passwords are stored using a 128 Bit encryption algorithm.

Select the box "Ask for login information when necessary" to allow LeechGet to open an authorization dialog when connecting to unknown secured servers that are not contained in the login list (see above). This dialog provides you the possibility to enter a username and a password for the current server and, if wanted, to store the login information for future use. This options should be turned on at any time.


Download Folder Management

This lets you setup default directories where files should be saved on your hard drive. The radio buttons at the top control how the default directory should be setup. Depending on which one is selected, the bottom section of the form will change.

Remember last directory used

Activate this option and LeechGet always remembers the last directory used and stores all new download there till you select a new folder in the New Download Wizard.

Use one default directory for all downloads

Select this to use always the same directory for all download. You can manually select other folders in the New Download Wizard, but by default, LeechGet uses always the same folder.

Use one default directory by file type

This option assigns download-directories to file-types. Use it if you want to store your download in different directories depending on their file-type.
Simply enter a file-type (e.g. "exe") in the field saying "Type" and select a directory in the next field, then click on add. To edit, simply select an entry in the list, modify it in the fields below and click on "Edit" to update the list. To unselect an entry and add a new one, click on the list with your right mouse button.

Note: If no appropriate file-type can be found, LeechGet uses the folder set as Default Directory (see "Use one default directory for all downloads") for the download.

Create directory from download information

Select this option to automatically create new subdirectories for every download.

Server Name
Creates new subdirectories containing the name of the server. That way, all downloads from one server will be stored in the same directory. So downloading a file from www.leechget.net would create the directory ./www.leechget.net/ for saving the files.

Server Name and Path
This creates new subdirectories containing the name of the server and the path of the file on the server. So downloading a file like http://www.leechget.net/download/LeechGet.exe would create the directory ./www.leechget.net/download/ for saving the file.

Current Date
The date when the download is started will be used as the directory name. The format is like set in your Control Panel Language settings.

File Extension (Type)
The file extension (or type) of the file is used, so setup.exe would create the \exe\ directory, or myfile.zip would create the \zip\ directory.

Custom
Allows custom directory formats. You can use some special variables to create a directory:

    %server%
    This variable represents the server name (e.g. www.leechget.net)
    %protocol%
    Stands for the protocol name (either ftp, http or https)
    %type%
    The type of the file (e.g. .zip for a ZIP-File)
    %path%
    Represents the path of a file on the remote server (e.g. /download/)
    %date%
    Current date in your local date-format (most likely Month-Day-Year, Day-Month-Year for German users)

Note: When a new file is downloaded by LeechGet, the suffix .LeechGet is be added to the filename on the disk to indicate that the file is not complete. When the file finishes downloading, then it will automatically be renamed to remove the .LeechGet. From a user perspective looking at LeechGet, this is invisible (because LeechGet removes the .LeechGet when a download is finished). But it will be visible if you look at the files in the directory while they are being downloaded. You may turn off this feature and not add .LeechGet to your partial files on the "General" Configuration Tab.


Multimedia

Sounds

If this option is selected, LeechGet automatically plays sounds on certain events specified in the list below. Browse your drive for sounds you want to play at a certain event or select "None" to delete the entry again. Press "Play" to listen the sound assigned to the selected event.


LAN Downloads

You can use LeechGet to transfer files over a normal local area network (LAN) as a replacement for the normal Windows Copy dialog.
Copying files over LeechGet offers you much more features than using the normal Windows Explorer: You can stop and resume LAN transfers just as normal downloads, set a speed limit to partition your network bandwidth and so on...
To get more information about LAN Downloads, have a look at here.

Obtain speed limit per second

Check this option to apply a speed limit for all LAN Downloads by default. Please note that you also can set a speed limit for every single download via the "Options" menu in the Download Window without having this option enabled! The value you can enter here is the speed limit per second in kilobytes.

Enable the "Copy here using LeechGet" Shell Extension

LeechGet provides an Windows Explorer Interface that can be accessed via a file's context menu and/or via the menu that appears when dragging files within the Windows Explorer to another folder with the right mouse button pressed (Drag&Drop copy menu).
You can use these menu extensions to rapidly start LAN Downloads over the normal Windows Explorer menu(s).
Select this option if you want the extensions to be shown in the appropriate Explorer menus (strongly recommended).

Add finished LAN Downloads to the History list

If this option is enabled, finished LAN transfers in LeechGet will be added to the History list just like "normal" downloads.


Monitors

LeechGet provides the possibility to automatically "catch" downloads from the Internet Explorer, from Netscape Browsers, Opera or Mozilla. If you are using Netscape, Opera or Mozilla, you have to download and install a special Plug-In to transfer downloads from these browser to LeechGet (available at http://www.leechget.net).

Please note that the following options only have an effect when using the Internet Explorer. For all other browsers, visit http://www.leechget.net to download the appropriate Plug-In.

Catch Links from Internet Explorer
Select this box if you want LeechGet to catch all clicks on URLs within the Internet Explorer. Clicks on URLs will automatically be rerouted to LeechGet. This works only if you have Internet Explorer 6.0 or greater installed. If you are forced to use an older version, you might consider to download and install the Plug-In mentioned above, it should work with the Internet Explorer as well.

Monitor Clipboard for URLs
By activating this option, LeechGet will permanently watch the Windows clipboard for URLs. If a valid URL is discovered, LeechGet will handle it just like it came from the Internet Explorer.

Include/Exlude list
You can as well configure an exclude/include list for file types and web sites. Sometimes it is wise to tell LeechGet not to catch some downloads like video files or music files that are supposed to play directly in the browser window.

Include list
The first list is the include list. Here you can adjust which types of files are monitored and/or caught from Internet Explorer.
Just enter the extension of all files you want to monitor for divided by a semicolon or a space character.
The string '*.*' means all files, *.EXE stands for all executable files, *.ZIP for all ZIP archives and so on... If you enter '*.*', all files will be caught, no matter what else stands in the list!

Default is: *.*

Exclude list
The second list is the exclude list. Here you can enter file types as well as web sites. File types should be entered the same way as in the Include list (see above). If you want to exclude entire web sites, please enter their names without a 'www' at the beginning. Use a space character or a semicolon to separate the entries.

Please be aware of using '*.*' in the exclude list because LeechGet will pretty much ignore all downloads in that case!!!

Default is: .AVI .MP3 .MPG .RMI .RM update.microsoft.com .buydirect.com


Speed Profiles

Speed Profiles allow you to to control how much bandwidth is used by LeechGet and to specify a maximum number of simultaneous downloads with a single click! You can activate Speed Profiles via the menu "Extras" and then "Download Profiles" in the LeechGet main window.

Here is how to create a new Profile:

Open the Options dialog and click on the "Speed Profiles" Tab at the very bottom.

Click on "New Profile" and enter a name for the Profile on the right. Then, specify the number of maximum simultaneous downloads and the maximum bandwidth usage. You can select the color of the icon that will be displayed in the Download Profile menu later as well. Clicking on "Save" creates the new Speed Profile.

To activate a Profile, simply select the download profile via the "Download Profiles" entry in the "Extras" menu. To unselect a Profile, click on "No Profile active".

[Select a Profile]

The "Sleep" button has to be deactivated in order to use Download Profiles!

When a Download Profile is selected, LeechGet automatically adjusts the number of active downloads and the maximum bandwidth usage to the given values so that the downloads never use more bandwidth than specified.

You can as well activate a Download Profile by clicking on the corresponding icon in the status bar of the LeechGet main window.


Tweak

One-Task server
Some servers that re-route downloads through anti-leech scripts only allow one connection per client, so if LeechGet tries to open multiple connections, a server running such a script would terminate the whole download attempt.
However, you can prevent LeechGet from trying to open multiple connections to the servers specified in the list below. Please make sure that you divide each entry by a ";"!

Found a new one?
If you have found a new server that does not support multiple connections for whatever reason, you can submit your new entry to the LeechGet server and make it public to anyone using LeechGet. Just click on the Button "Found a new one?" to submit any new server! Thanks!

Download list from www.leechget.net
As mentioned above, LeechGet users can submit new One-Task servers to the LeechGet webserver. Simply click here to download the latest One-Task server list frm www.leechget.net.

Tweak
Here you can select which network interfaces LeechGet shall monitor and display in the "SpeedMeter"